CRAN Package Check Results for Package emil

Last updated on 2018-02-20 17:47:37 CET.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 2.2.8 15.43 88.82 104.25 OK
r-devel-linux-x86_64-debian-gcc 2.2.8 12.99 69.71 82.70 OK
r-devel-linux-x86_64-fedora-clang 2.2.8 128.04 NOTE
r-devel-linux-x86_64-fedora-gcc 2.2.8 124.71 NOTE
r-devel-windows-ix86+x86_64 2.2.8 35.00 156.00 191.00 OK
r-patched-linux-x86_64 2.2.8 15.06 103.77 118.83 OK
r-patched-solaris-x86 2.2.8 169.00 ERROR
r-release-linux-x86_64 2.2.8 14.17 104.24 118.41 OK
r-release-windows-ix86+x86_64 2.2.8 54.00 220.00 274.00 OK
r-release-osx-x86_64 2.2.8 WARN
r-oldrel-windows-ix86+x86_64 2.2.8 43.00 184.00 227.00 OK
r-oldrel-osx-x86_64 2.2.8 NOTE

Check Details

Version: 2.2.8
Check: dependencies in R code
Result: NOTE
    Namespace in Imports field not imported from: ‘Rcpp’
     All declared Imports should be used.
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-patched-solaris-x86, r-release-osx-x86_64, r-oldrel-osx-x86_64

Version: 2.2.8
Check: tests
Result: ERROR
     Running ‘testthat.R’ [26s/35s]
    Running the tests in ‘tests/testthat.R’ failed.
    Complete output:
     > if (packageVersion("testthat") >= "0.9.1") {
     + library(testthat)
     + test_check("emil")
     + }
     Loading required package: emil
    
     Attaching package: 'emil'
    
     The following object is masked from 'package:base':
    
     mode
    
     ── 1. Error: glmnet (@test-methods.r#23) ──────────────────────────────────────
     dim(X) must have a positive length
     1: fit_glmnet(iris[-5], iris$Species) at testthat/test-methods.r:23
     2: glmnet::cv.glmnet(x, y, family = family, nfolds = nfolds, foldid = foldid, alpha = alpha,
     lambda = lambda, ...)
     3: apply(nz, 1, median)
     4: stop("dim(X) must have a positive length")
    
     ══ testthat results ═══════════════════════════════════════════════════════════
     OK: 182 SKIPPED: 1 FAILED: 1
     1. Error: glmnet (@test-methods.r#23)
    
     Error: testthat unit tests failed
     Execution halted
Flavor: r-patched-solaris-x86

Version: 2.2.8
Check: whether package can be installed
Result: WARN
    Found the following significant warnings:
     Warning: Installed Rcpp (0.12.12) different from Rcpp used to build dplyr (0.12.11).
Flavor: r-release-osx-x86_64